from fastapi import APIRouter
from model.util import InputData, getModels, getModelsInfo, requestModel
from pydantic import BaseModel

router = APIRouter()

class ChatRequest(BaseModel):
    model: str
    message: str
@router.post("/api/chat")
def chat(req: ChatRequest):
    model_name = req.model
    input_data = InputData(req.message)
    #调用模型
    ret = requestModel(model_name, input_data)
    return ret


@router.get("/api/chat/models")
def get_models():
    return {"models": getModelsInfo()}